# Yahoo! UI Library

### editor 2.8.2r1

Yahoo! UI Library > editor > YAHOO.widget.EditorInfo
Search:
Filters Show Private Show Protected Show Deprecated

## `static` Class YAHOO.widget.EditorInfo

Singleton object used to track the open window objects and panels across the various open editors

### Properties

#### _instances - `private Object`

A reference to all editors on the page.

#### blankImage - `private String`

A reference to the blankImage url

#### panel - `private Object YAHOO.widget.Overlay`

A reference to the currently open panel in any editor on the page.

#### window - `private Object YAHOO.widget.EditorWindow`

A reference to the currently open window object in any editor on the page.

### Methods

#### getEditorById

`getEditorById ( id )`
Returns a reference to the Editor object associated with the given textarea

Parameters:
  `id <String/HTMLElement>` The id or reference of the textarea to return the Editor instance of

Returns: ``
  Object YAHOO.widget.Editor

#### saveAll

`void saveAll ( form )`
Saves all Editor instances on the page. If a form reference is passed, only Editor's bound to this form will be saved.

Parameters:
  `form <HTMLElement>` The form to check if this Editor instance belongs to

#### toString

`String toString ( )`
Returns a string representing the EditorInfo.

Copyright © 2010 Yahoo! Inc. All rights reserved.